$mainMod = SUPER

bind = $mainMod, Q, killactive,
# Move focus with mainMod + LHKJ
bind = $mainMod, H, movefocus, l
bind = $mainMod, L, movefocus, r
bind = $mainMod, K, movefocus, u
bind = $mainMod, J, movefocus, d

# Move windows
#bind = $mainMod SHIFT, H, movewindow, l
#bind = $mainMod SHIFT, L, movewindow, r
#bind = $mainMod SHIFT, K, movewindow, u
#bind = $mainMod SHIFT, J, movewindow, d

# Container layouts

bind = $mainMod, F, togglefloating
bind = $mainMod, F, pin

# Workspaces
bind = $mainMod, B, workspace, 1
bind = $mainMod, T, workspace, 2
bind = $mainMod, C, workspace, 3
bind = $mainMod, G, workspace, 4
bind = $mainMod, M, workspace, 5
bind = $mainMod, P, workspace, 6

bind = $mainMod, code:16, workspace, 7
bind = $mainMod, code:17, workspace, 8
bind = $mainMod, code:18, workspace, 9
bind = $mainMod, code:19, workspace, 10


# Move active window to a workspace silently mainMod + CTRL [0-9]
bind = $mainMod SHIFT, B, movetoworkspacesilent, 1
bind = $mainMod SHIFT, T, movetoworkspacesilent, 2
bind = $mainMod SHIFT, C, movetoworkspacesilent, 3
bind = $mainMod SHIFT, G, movetoworkspacesilent, 4
bind = $mainMod SHIFT, M, movetoworkspacesilent, 5
bind = $mainMod SHIFT, P, movetoworkspacesilent, 6
bind = $mainMod SHIFT, code:16, movetoworkspacesilent, 7
bind = $mainMod SHIFT, code:17, movetoworkspacesilent, 8
bind = $mainMod SHIFT, code:18, movetoworkspacesilent, 9
bind = $mainMod SHIFT, code:19, movetoworkspacesilent, 10
bind = $mainMod SHIFT, bracketleft, movetoworkspacesilent, -1 # brackets [ or ]
bind = $mainMod SHIFT, bracketright, movetoworkspacesilent, +1

# Scroll through existing workspaces with mainMod + scroll
bind = $mainMod, mouse_down, workspace, e+1
bind = $mainMod, mouse_up, workspace, e-1
bind = $mainMod, bracketright, workspace, e+1
bind = $mainMod, bracketleft, workspace, e-1

# Move workspaces
bind = $mainMod SHIFT, H, movecurrentworkspacetomonitor, +1

# Move/resize windows with mainMod + LMB/RMB and dragging
bindm = $mainMod SHIFT, mouse:272, movewindow
bindm = $mainMod SHIFT, mouse:273, resizewindow

# Master Layout Keybinds
bind = $mainMod, A, layoutmsg,swapwithmaster master

# Fullscreen handling
bind = $mainMod, Space, fullscreen, 1
bind = $mainMod Shift, Space, fullscreen, 0

# Spliting
$splitingMod = $mainMod CTRL
bind = $splitingMod, Space, togglegroup

bind = $splitingMod, H, moveintogroup, l
bind = $splitingMod, L, moveintogroup, r
bind = $splitingMod, K, moveintogroup, u
bind = $splitingMod, J, moveintogroup, d

bind = $splitingMod, U, moveoutofgroup, b

bind = $splitingMod, N, changegroupactive, f
bind = $splitingMod, M, changegroupactive, b
